package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataAudit;
import com.sa.ibiz.demo.demo.service.dto.DataAuditSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataAudit] 服务对象接口
 */
public interface DataAuditService extends IService<DataAudit>{

	boolean checkKey(DataAudit et);
		DataAudit get(DataAudit et);
	boolean create(DataAudit et);
	boolean update(DataAudit et);
	boolean getDraft(DataAudit et);
	boolean remove(DataAudit et);
    List<DataAudit> listDefault(DataAuditSearchFilter filter) ;
	Page<DataAudit> searchDefault(DataAuditSearchFilter filter);
	/**	 实体[DataAudit] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }